> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/2-0-2/documentation/agents/agents-in-kubernetes/configuring-agents-with-the-connectware-agent-helm-chart/controlling-the-name-of-kubernetes-objects-for-the-connectware-agent-helm-chart.md).

# Controlling the Name of Kubernetes Objects for the connectware-agent Helm Chart

By default, agents created through the `connectware-agent` Helm chart will be controlled through Kubernetes objects that are prefixed with the name of your installation (called a “release” in Helm terms) and the name of the Helm chart. This is done to ensure non-conflicting Kubernetes object names.

If these prefixes are identical, they are only used once. This means, that by default, when following our recommendations, an agent named “bender-robots” would create a StatefulSet name “connectware-agent-connectware-agent-bender-robots”, which is shortened to “connectware-agent-bender-robots”.

There are two Helm values, that allow you to control these prefixes:

| Value              | Effect                                                                |
| ------------------ | --------------------------------------------------------------------- |
| `nameOverride`     | Overrides the Helm chart name, which is the second half of the prefix |
| `fullnameOverride` | Overrides the full prefix (first and second part)                     |

**Example**

Setting `nameOverride` to “cw-agent” for an installation named “agents”.

{% code lineNumbers="true" %}

```yaml
nameOverride: cw-agent protocolMapperAgents: - name: bender-robots
```

{% endcode %}

This will result in an agent StatefulSet named “agents-cw-agent-bender-robots”

**Example**

Setting `fullnameOverride` to “my-agents” for an installation named “connectware-agents”.

{% code lineNumbers="true" %}

```yaml
fullnameOverride: my-agents protocolMapperAgents: - name: bender-robots
```

{% endcode %}

This will result in an agent StatefulSet named “my-agents-bender-robots”

**Example**

Setting `fullnameOverride` to “” for an installation named “connectware-agents”.

{% code lineNumbers="true" %}

```yaml
fullnameOverride: "" protocolMapperAgents: - name: bender-robots
```

{% endcode %}

This will result in an agent StatefulSet named “bender-robots”


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cybus.io/2-0-2/documentation/agents/agents-in-kubernetes/configuring-agents-with-the-connectware-agent-helm-chart/controlling-the-name-of-kubernetes-objects-for-the-connectware-agent-helm-chart.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
